import { __makeTemplateObject } from "tslib";
import { keyframes } from '@emotion/core';
import theme from 'app/utils/theme';
export var growIn = keyframes(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  0% {\n    opacity: 0;\n    transform: scale(0.75);\n  }\n  100% {\n    opacity: 1;\n    transform: scale(1);\n  }\n"], ["\n  0% {\n    opacity: 0;\n    transform: scale(0.75);\n  }\n  100% {\n    opacity: 1;\n    transform: scale(1);\n  }\n"])));
export var growDown = function (height) { return keyframes(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  0% {\n    height: 0;\n  }\n  100% {\n    height: ", ";\n  }\n"], ["\n  0% {\n    height: 0;\n  }\n  100% {\n    height: ", ";\n  }\n"])), height); };
export var fadeIn = keyframes(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  0% {\n    opacity: 0;\n  }\n  100% {\n    opacity: 1;\n  }\n"], ["\n  0% {\n    opacity: 0;\n  }\n  100% {\n    opacity: 1;\n  }\n"])));
export var fadeOut = keyframes(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  0% {\n    opacity: 1;\n  }\n  100% {\n    opacity: 0;\n  }\n"], ["\n  0% {\n    opacity: 1;\n  }\n  100% {\n    opacity: 0;\n  }\n"])));
export var pulse = function (size) { return keyframes(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  0% {\n    transform: scale(1,1);\n  }\n  50% {\n    transform: scale(", ", ", ");\n  }\n  100% {\n    transform: scale(1, 1);\n  }\n"], ["\n  0% {\n    transform: scale(1,1);\n  }\n  50% {\n    transform: scale(", ", ", ");\n  }\n  100% {\n    transform: scale(1, 1);\n  }\n"])), size, size); };
export var expandOut = keyframes(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  0% {\n    transform: scale(1, 1);\n    opacity: 1;\n  }\n\n  100% {\n    transform: scale(5, 5);\n    opacity: 0;\n  }\n"], ["\n  0% {\n    transform: scale(1, 1);\n    opacity: 1;\n  }\n\n  100% {\n    transform: scale(5, 5);\n    opacity: 0;\n  }\n"])));
export var slideInRight = keyframes(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  0% {\n    transform: translateX(20px);\n    opacity: 0;\n  }\n\n  100% {\n    transform: translateX(0);\n    opacity: 1;\n  }\n"], ["\n  0% {\n    transform: translateX(20px);\n    opacity: 0;\n  }\n\n  100% {\n    transform: translateX(0);\n    opacity: 1;\n  }\n"])));
export var slideInLeft = keyframes(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  0% {\n    transform: translateX(-20px);\n    opacity: 0;\n  }\n\n  100% {\n    transform: translateX(0);\n    opacity: 1;\n  }\n"], ["\n  0% {\n    transform: translateX(-20px);\n    opacity: 0;\n  }\n\n  100% {\n    transform: translateX(0);\n    opacity: 1;\n  }\n"])));
export var slideInUp = keyframes(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  0% {\n    transform: translateY(10px);\n    opacity: 0;\n  }\n\n  100% {\n    transform: translateY(0);\n    opacity: 1;\n  }\n"], ["\n  0% {\n    transform: translateY(10px);\n    opacity: 0;\n  }\n\n  100% {\n    transform: translateY(0);\n    opacity: 1;\n  }\n"])));
export var highlight = function (color) { return keyframes(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n  0%,\n  100% {\n    background: rgba(255, 255, 255, 0);\n  }\n\n  25% {\n    background: ", ";\n  }\n"], ["\n  0%,\n  100% {\n    background: rgba(255, 255, 255, 0);\n  }\n\n  25% {\n    background: ", ";\n  }\n"])), color); };
// TODO(ts): priority should be pulled from `keyof typeof theme.alert`
export var alertHighlight = function (priority) { return keyframes(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n  0%,\n  100% {\n    background: rgba(255, 255, 255, 0);\n    border-color: transparent;\n  }\n\n  25% {\n    background: ", ";\n    border-color: ", ";\n  }\n"], ["\n  0%,\n  100% {\n    background: rgba(255, 255, 255, 0);\n    border-color: transparent;\n  }\n\n  25% {\n    background: ", ";\n    border-color: ", ";\n  }\n"])), theme.alert[priority].backgroundLight, theme.alert[priority].border); };
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10, templateObject_11;
//# sourceMappingURL=animations.jsx.map