import { __makeTemplateObject } from "tslib";
import React from 'react';
import { keyframes } from '@emotion/core';
import styled from '@emotion/styled';
import Button from 'app/components/button';
import ExternalLink from 'app/components/links/externalLink';
import Link from 'app/components/links/link';
import NavTabs from 'app/components/navTabs';
import GlobalSelectionHeader from 'app/components/organizations/globalSelectionHeader';
import { Panel, PanelItem } from 'app/components/panels';
import { slideInLeft } from 'app/styles/animations';
import space from 'app/styles/space';
import theme from 'app/utils/theme';
var HEADER_HEIGHT = 60;
export var DiscoverWrapper = styled('div')(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  flex: 1;\n"], ["\n  display: flex;\n  flex: 1;\n"])));
export var DiscoverContainer = styled('div')(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  width: 100%;\n  height: 100vh;\n  position: relative;\n\n  margin-bottom: -20px;\n\n  .control-group {\n    margin-bottom: 0; /* Do not want the global control-group margins  */\n  }\n"], ["\n  display: flex;\n  width: 100%;\n  height: 100vh;\n  position: relative;\n\n  margin-bottom: -20px;\n\n  .control-group {\n    margin-bottom: 0; /* Do not want the global control-group margins  */\n  }\n"])));
export var DiscoverGlobalSelectionHeader = styled(GlobalSelectionHeader)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  left: 0;\n"], ["\n  position: absolute;\n  top: 0;\n  left: 0;\n"])));
export var ResultViewActions = styled('div')(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: flex;\n  align-items: flex-start;\n  justify-content: space-between;\n  border-bottom: 1px solid ", ";\n  margin-bottom: ", ";\n\n  @media (max-width: ", ") {\n    justify-content: flex-start;\n  }\n"], ["\n  display: flex;\n  align-items: flex-start;\n  justify-content: space-between;\n  border-bottom: 1px solid ", ";\n  margin-bottom: ", ";\n\n  @media (max-width: ", ") {\n    justify-content: flex-start;\n  }\n"])), function (p) { return p.theme.border; }, space(3), theme.breakpoints[1]);
export var ResultViewButtons = styled(NavTabs)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  margin-bottom: 0;\n\n  @media (max-width: ", ") {\n    display: none;\n  }\n"], ["\n  margin-bottom: 0;\n\n  @media (max-width: ", ") {\n    display: none;\n  }\n"])), theme.breakpoints[1]);
export var ResultViewDropdownButtons = styled('div')(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  display: none;\n  @media (max-width: ", ") {\n    display: flex;\n    margin-bottom: ", ";\n  }\n"], ["\n  display: none;\n  @media (max-width: ", ") {\n    display: flex;\n    margin-bottom: ", ";\n  }\n"])), theme.breakpoints[1], space(2));
export var DownloadCsvButton = styled(Button)(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  @media (max-width: ", ") {\n    margin-left: ", ";\n    top: 0;\n  }\n"], ["\n  @media (max-width: ", ") {\n    margin-left: ", ";\n    top: 0;\n  }\n"])), theme.breakpoints[1], space(0.5));
export var Sidebar = styled('div')(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  border-right: 1px solid ", ";\n  background: ", ";\n  min-width: 320px;\n  position: relative;\n  padding-top: ", "px;\n  @media (min-width: ", ") {\n    width: 360px;\n  }\n"], ["\n  display: flex;\n  flex-direction: column;\n  border-right: 1px solid ", ";\n  background: ", ";\n  min-width: 320px;\n  position: relative;\n  padding-top: ", "px;\n  @media (min-width: ", ") {\n    width: 360px;\n  }\n"])), function (p) { return p.theme.border; }, function (p) { return p.theme.background; }, HEADER_HEIGHT, theme.breakpoints[2]);
export var DocsSeparator = styled('div')(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  flex-grow: 1;\n  margin: ", " ", " 0;\n  border-bottom: 1px solid ", ";\n"], ["\n  flex-grow: 1;\n  margin: ", " ", " 0;\n  border-bottom: 1px solid ", ";\n"])), space(3), space(3), function (p) { return p.theme.border; });
export var DocsLink = styled(ExternalLink)(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n  color: ", ";\n  &:hover {\n    color: ", ";\n  }\n"], ["\n  color: ", ";\n  &:hover {\n    color: ", ";\n  }\n"])), function (p) { return p.theme.textColor; }, function (p) { return p.theme.blue300; });
export var DiscoverDocs = styled('span')(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n  align-items: center;\n  display: grid;\n  grid-gap: ", ";\n  grid-template-columns: min-content auto min-content;\n  margin: 25px ", ";\n"], ["\n  align-items: center;\n  display: grid;\n  grid-gap: ", ";\n  grid-template-columns: min-content auto min-content;\n  margin: 25px ", ";\n"])), space(1), space(3));
export var DocsLabel = styled('span')(templateObject_12 || (templateObject_12 = __makeTemplateObject(["\n  font-size: 15px;\n  flex-grow: 1;\n"], ["\n  font-size: 15px;\n  flex-grow: 1;\n"])));
export var Body = styled('div')(templateObject_13 || (templateObject_13 = __makeTemplateObject(["\n  display: flex;\n  flex: 1;\n  flex-direction: column;\n  overflow: hidden;\n  padding-top: ", "px;\n"], ["\n  display: flex;\n  flex: 1;\n  flex-direction: column;\n  overflow: hidden;\n  padding-top: ", "px;\n"])), HEADER_HEIGHT);
export var BodyContent = styled('div')(templateObject_14 || (templateObject_14 = __makeTemplateObject(["\n  display: flex;\n  flex: 1;\n  flex-direction: column;\n  padding: ", " ", " ", " ", ";\n  overflow-y: scroll;\n  position: relative;\n  background: ", ";\n"], ["\n  display: flex;\n  flex: 1;\n  flex-direction: column;\n  padding: ", " ", " ", " ", ";\n  overflow-y: scroll;\n  position: relative;\n  background: ", ";\n"])), space(3), space(4), space(4), space(4), function (p) { return p.theme.backgroundSecondary; });
export var LoadingContainer = styled('div')(templateObject_15 || (templateObject_15 = __makeTemplateObject(["\n  display: flex;\n  flex: 1;\n  align-items: center;\n  height: 100%;\n"], ["\n  display: flex;\n  flex: 1;\n  align-items: center;\n  height: 100%;\n"])));
export var SidebarTabs = styled(function (props) { return <NavTabs {...props} underlined/>; })(templateObject_16 || (templateObject_16 = __makeTemplateObject(["\n  padding: ", " ", " 0;\n  margin: 0;\n"], ["\n  padding: ", " ", " 0;\n  margin: 0;\n"])), space(3), space(3));
export var PlaceholderText = styled('div')(templateObject_17 || (templateObject_17 = __makeTemplateObject(["\n  color: ", ";\n  font-size: 15px;\n"], ["\n  color: ", ";\n  font-size: 15px;\n"])), function (p) { return p.theme.gray200; });
export var HeadingContainer = styled('div')(templateObject_18 || (templateObject_18 = __makeTemplateObject(["\n  display: flex;\n  min-width: 70px;\n  margin: ", " 0 ", ";\n  align-items: center;\n"], ["\n  display: flex;\n  min-width: 70px;\n  margin: ", " 0 ", ";\n  align-items: center;\n"])), space(1), space(2));
export var Fieldset = styled('fieldset')(templateObject_19 || (templateObject_19 = __makeTemplateObject(["\n  margin: ", " ", ";\n"], ["\n  margin: ", " ", ";\n"])), space(2), space(3));
export var SelectListItem = styled('div')(templateObject_20 || (templateObject_20 = __makeTemplateObject(["\n  display: grid;\n  grid-template-columns: auto ", ";\n  grid-gap: ", ";\n  align-items: center;\n  margin-top: ", ";\n"], ["\n  display: grid;\n  grid-template-columns: auto ", ";\n  grid-gap: ", ";\n  align-items: center;\n  margin-top: ", ";\n"])), space(2), space(1), space(0.5));
export var SidebarLabel = styled('label')(templateObject_21 || (templateObject_21 = __makeTemplateObject(["\n  text-transform: uppercase;\n  font-size: ", ";\n  color: ", ";\n"], ["\n  text-transform: uppercase;\n  font-size: ", ";\n  color: ", ";\n"])), function (p) { return p.theme.fontSizeSmall; }, function (p) { return p.theme.subText; });
export var QueryFieldsContainer = styled('div')(templateObject_22 || (templateObject_22 = __makeTemplateObject(["\n  flex: 1;\n  overflow-y: scroll;\n"], ["\n  flex: 1;\n  overflow-y: scroll;\n"])));
export var AddText = styled('span')(templateObject_23 || (templateObject_23 = __makeTemplateObject(["\n  font-style: italic;\n  text-decoration: underline;\n  margin-left: 4px;\n  font-size: 13px;\n  line-height: 16px;\n  color: ", ";\n"], ["\n  font-style: italic;\n  text-decoration: underline;\n  margin-left: 4px;\n  font-size: 13px;\n  line-height: 16px;\n  color: ", ";\n"])), function (p) { return p.theme.gray200; });
var spin = keyframes(templateObject_24 || (templateObject_24 = __makeTemplateObject(["\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n"], ["\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n"])));
export var ButtonSpinner = styled('div')(templateObject_25 || (templateObject_25 = __makeTemplateObject(["\n  animation: ", " 0.4s linear infinite;\n  width: 14px;\n  height: 14px;\n  border-radius: 14px;\n  border-top: 2px solid ", ";\n  border-right: 2px solid ", ";\n  border-bottom: 2px solid ", ";\n  border-left: 2px solid ", ";\n  margin-left: 4px;\n"], ["\n  animation: ", " 0.4s linear infinite;\n  width: 14px;\n  height: 14px;\n  border-radius: 14px;\n  border-top: 2px solid ", ";\n  border-right: 2px solid ", ";\n  border-bottom: 2px solid ", ";\n  border-left: 2px solid ", ";\n  margin-left: 4px;\n"])), spin, function (p) { return p.theme.border; }, function (p) { return p.theme.border; }, function (p) { return p.theme.border; }, function (p) { return p.theme.purple300; });
export var ResultSummary = styled('div')(templateObject_26 || (templateObject_26 = __makeTemplateObject(["\n  color: ", ";\n  font-size: ", ";\n"], ["\n  color: ", ";\n  font-size: ", ";\n"])), function (p) { return p.theme.gray200; }, function (p) { return p.theme.fontSizeSmall; });
export var ResultSummaryAndButtons = styled('div')(templateObject_27 || (templateObject_27 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n"], ["\n  display: flex;\n  justify-content: space-between;\n"])));
export var ResultContainer = styled('div')(templateObject_28 || (templateObject_28 = __makeTemplateObject(["\n  display: flex;\n  flex: 1;\n  flex-direction: column;\n  margin-bottom: ", ";\n"], ["\n  display: flex;\n  flex: 1;\n  flex-direction: column;\n  margin-bottom: ", ";\n"])), space(3));
export var ResultInnerContainer = styled('div')(templateObject_29 || (templateObject_29 = __makeTemplateObject(["\n  flex: 1;\n"], ["\n  flex: 1;\n"])));
export var ChartWrapper = styled(Panel)(templateObject_30 || (templateObject_30 = __makeTemplateObject(["\n  padding: ", " ", ";\n"], ["\n  padding: ", " ", ";\n"])), space(3), space(2));
export var ChartNote = styled('div')(templateObject_31 || (templateObject_31 = __makeTemplateObject(["\n  text-align: center;\n  font-size: ", ";\n  color: ", ";\n  margin-bottom: ", ";\n"], ["\n  text-align: center;\n  font-size: ", ";\n  color: ", ";\n  margin-bottom: ", ";\n"])), function (p) { return p.theme.fontSizeMedium; }, function (p) { return p.theme.subText; }, space(3));
export var SavedQueryAction = styled(Link)(templateObject_32 || (templateObject_32 = __makeTemplateObject(["\n  color: ", ";\n  margin-left: ", ";\n  display: flex;\n"], ["\n  color: ", ";\n  margin-left: ", ";\n  display: flex;\n"])), function (p) { return p.theme.gray200; }, space(2));
export var SavedQueryWrapper = styled('div')(templateObject_33 || (templateObject_33 = __makeTemplateObject(["\n  flex: 1;\n  overflow-y: scroll;\n"], ["\n  flex: 1;\n  overflow-y: scroll;\n"])));
export var SavedQueryList = styled(Panel)(templateObject_34 || (templateObject_34 = __makeTemplateObject(["\n  margin: 0;\n  border: 0;\n  overflow: hidden;\n"], ["\n  margin: 0;\n  border: 0;\n  overflow: hidden;\n"])));
export var SavedQueryListItem = styled(PanelItem)(templateObject_35 || (templateObject_35 = __makeTemplateObject(["\n  flex-direction: column;\n  padding: 0;\n  background-color: ", ";\n"], ["\n  flex-direction: column;\n  padding: 0;\n  background-color: ",
    ";\n"])), function (p) {
    return p.isActive ? p.theme.backgroundSecondary : p.theme.white;
});
export var SavedQueryLink = styled(Link)(templateObject_36 || (templateObject_36 = __makeTemplateObject(["\n  font-weight: 600;\n  padding: ", " ", ";\n"], ["\n  font-weight: 600;\n  padding: ", " ", ";\n"])), space(2), space(4));
export var SavedQueryUpdated = styled('div')(templateObject_37 || (templateObject_37 = __makeTemplateObject(["\n  font-size: ", ";\n  color: ", ";\n"], ["\n  font-size: ", ";\n  color: ", ";\n"])), function (p) { return p.theme.fontSizeSmall; }, function (p) { return p.theme.gray200; });
export var QueryPanelContainer = styled('div')(templateObject_38 || (templateObject_38 = __makeTemplateObject(["\n  position: absolute;\n  width: calc(100% + 1px); /* Add 1px for border */\n  height: calc(100% - ", "px);\n  background-color: ", ";\n  top: ", "px;\n  border-right: 1px solid ", ";\n  animation: ", " 0.2s ease-in;\n  overflow-y: scroll;\n"], ["\n  position: absolute;\n  width: calc(100% + 1px); /* Add 1px for border */\n  height: calc(100% - ", "px);\n  background-color: ", ";\n  top: ", "px;\n  border-right: 1px solid ", ";\n  animation: ", " 0.2s ease-in;\n  overflow-y: scroll;\n"])), HEADER_HEIGHT, function (p) { return p.theme.background; }, HEADER_HEIGHT, function (p) { return p.theme.border; }, slideInLeft);
export var QueryPanelTitle = styled('div')(templateObject_39 || (templateObject_39 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding: 0 ", ";\n  height: ", "px;\n  border-bottom: 1px solid ", ";\n"], ["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding: 0 ", ";\n  height: ", "px;\n  border-bottom: 1px solid ", ";\n"])), space(4), HEADER_HEIGHT, function (p) { return p.theme.border; });
export var QueryPanelCloseLink = styled(Link)(templateObject_40 || (templateObject_40 = __makeTemplateObject(["\n  display: flex;\n  align-content: center;\n"], ["\n  display: flex;\n  align-content: center;\n"])));
export var QueryActions = styled('div')(templateObject_41 || (templateObject_41 = __makeTemplateObject(["\n  display: grid;\n  grid-auto-flow: column;\n  justify-content: space-between;\n"], ["\n  display: grid;\n  grid-auto-flow: column;\n  justify-content: space-between;\n"])));
export var QueryActionsGroup = styled('div')(templateObject_42 || (templateObject_42 = __makeTemplateObject(["\n  display: grid;\n  grid-auto-flow: column;\n  grid-gap: ", ";\n"], ["\n  display: grid;\n  grid-auto-flow: column;\n  grid-gap: ", ";\n"])), space(1));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10, templateObject_11, templateObject_12, templateObject_13, templateObject_14, templateObject_15, templateObject_16, templateObject_17, templateObject_18, templateObject_19, templateObject_20, templateObject_21, templateObject_22, templateObject_23, templateObject_24, templateObject_25, templateObject_26, templateObject_27, templateObject_28, templateObject_29, templateObject_30, templateObject_31, templateObject_32, templateObject_33, templateObject_34, templateObject_35, templateObject_36, templateObject_37, templateObject_38, templateObject_39, templateObject_40, templateObject_41, templateObject_42;
//# sourceMappingURL=styles.jsx.map